
Hooks:PostHook(WeaponFactoryTweakData, "init", "EAC_animations", function(self)
-- Shared Vertical Grips
local p_eff = {
	"wpn_fps_upg_vg_verticalgrip",
	"wpn_fps_upg_vg_stubby",
	"wpn_fps_upg_vg_moe",
	"wpn_fps_upg_vg_tecci",
	"wpn_fps_upg_vg_foldable",
	"wpn_fps_upg_vg_grippod",
	"wpn_fps_smg_schakal_vg_surefire"
}
for i, part_id in ipairs(p_eff) do
	self.wpn_fps_ass_74.override[part_id]        = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_ak5.override[part_id]       = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_akm.override[part_id]       = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_akm_gold.override[part_id]  = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_amcar.override[part_id]     = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_fal.override[part_id]       = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_flint.override[part_id]     = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_g3.override[part_id]        = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_g36.override[part_id]       = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_galil.override[part_id]     = {override_weapon = {weapon_hold = "rpk"   , use_stance = "rpk"   }}
	self.wpn_fps_ass_komodo.override[part_id]    = {override_weapon = {weapon_hold = "mp9"    , use_stance = "mp9"    }}
	self.wpn_fps_ass_m16.override[part_id]       = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_m4.override[part_id]        = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_s552.override[part_id]      = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_scar.override[part_id]      = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
	self.wpn_fps_ass_vhs.override[part_id]   	 = {override_weapon = {weapon_hold = "l85a2"  , use_stance = "l85a2"  }}
	self.wpn_fps_ass_famas.override[part_id]   	 = {override_weapon = {weapon_hold = "l85a2"  , use_stance = "l85a2"  }}
	self.wpn_fps_sho_basset.override[part_id]    = {override_weapon = {weapon_hold = "l85a2"  , use_stance = "l85a2"  }}
	self.wpn_fps_shot_saiga.override[part_id]    = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_smg_akmsu.override[part_id]     = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_smg_mac10.override[part_id]     = {override_weapon = {weapon_hold = "mp9"    , use_stance = "mp9"    }}
	self.wpn_fps_smg_mp5.override[part_id]       = {override_weapon = {weapon_hold = "schakal", use_stance = "schakal"}}
	self.wpn_fps_smg_olympic.override[part_id]   = {override_weapon = {weapon_hold = "schakal", use_stance = "schakal"}}
	self.wpn_fps_smg_shepheard.override[part_id] = {override_weapon = {weapon_hold = "schakal", use_stance = "schakal"}}
	self.wpn_fps_snp_tti.override[part_id]       = {override_weapon = {weapon_hold = "hajk"   , use_stance = "hajk"   }}
end

-- NO VG
local flat = {
	"wpn_fps_upg_vg_none",
	"wpn_fps_upg_vg_cobra",
	"wpn_fps_upg_vg_afg"
}
for i, part_id in ipairs(flat) do
	self.wpn_fps_ass_aug.override[part_id]     = {override_weapon = {weapon_hold = "vhs"    , use_stance = "vhs"    }}
	self.wpn_fps_ass_l85a2.override[part_id]   = {override_weapon = {weapon_hold = "vhs"    , use_stance = "vhs"    }}
	self.wpn_fps_sho_rota.override[part_id]    = {override_weapon = {weapon_hold = "vhs"    , use_stance = "vhs"    }}
	self.wpn_fps_smg_schakal.override[part_id] = {override_weapon = {weapon_hold = "fal"    , use_stance = "fal"    }}
	self.wpn_fps_smg_hajk.override[part_id]    = {override_weapon = {weapon_hold = "fal"    , use_stance = "fal"    }}
	self.wpn_fps_ass_tecci.override[part_id]   = {override_weapon = {weapon_hold = "g3"     , use_stance = "g3"     }}
end

-- RPK Foregrips
local rpk_fg = {
	"wpn_fps_lmg_rpk_fg_combo4",
	"wpn_fps_lmg_rpk_fg_combo1"
}
for i, part_id in ipairs(rpk_fg) do
	self.wpn_fps_ass_74.override[part_id]       = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_akm.override[part_id]      = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_ass_akm_gold.override[part_id] = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
	self.wpn_fps_shot_saiga.override[part_id]   = {override_weapon = {weapon_hold = "rpk"    , use_stance = "rpk"    }}
end

local rpk_offset = Vector3(-5.6, -4, 2.3)
local rpk_rotation = Rotation(0, 0, 5)
-- local mod
    -- for _, m in pairs(BLT.Mods:Mods()) do
        -- if m:GetName() == "LMG Steelsights v0.62" or "LMG Steelsights v0.63" or "LMG Steelsights v0.64" then
            -- mod = m
            -- break
        -- end
    -- end
-- if mod and mod:IsEnabled() then
if BeardLib.Utils:FindMod("LMG Steelsights mod") then
rpk_offset = Vector3(0, 0, 0.35)
rpk_rotation = Rotation(0, 0, 0)
end

self.parts.wpn_fps_upg_vg_adjust.stance_mod = {
	-- VG added
		wpn_fps_ass_scar        = {translation = Vector3(0, 0, -1.75)},
		wpn_fps_ass_komodo      = {translation = Vector3(0, 0, -6.6)},
		wpn_fps_ass_amcar       = {translation = Vector3(-0.02, 0, -0.25)},
		wpn_fps_ass_m4          = {translation = Vector3(0, 0, 0.2)},
		wpn_fps_ass_m16         = {translation = Vector3(0, 0, -0.27)},
		wpn_fps_smg_olympic     = {translation = Vector3(-0.005, 0, -3.32)},
		wpn_fps_ass_74          = {translation = Vector3(0.05, 0, -0.35) + rpk_offset, rotation = rpk_rotation},
		wpn_fps_ass_akm         = {translation = Vector3(0.05, 0, -0.35) + rpk_offset, rotation = rpk_rotation},
		wpn_fps_ass_akm_gold    = {translation = Vector3(0.05, 0, -0.35) + rpk_offset, rotation = rpk_rotation},
		wpn_fps_smg_akmsu       = {translation = Vector3(0, 0, -0.42)    + rpk_offset, rotation = rpk_rotation},
		wpn_fps_shot_saiga      = {translation = Vector3(0, 0, -0.35)    + rpk_offset, rotation = rpk_rotation},
		wpn_fps_ass_ak5         = {translation = Vector3(0, 0, 1.06)},
		wpn_fps_ass_g36         = {translation = Vector3(0, 0, 0.05)},
		wpn_fps_smg_mp5         = {translation = Vector3(0, 0, -1.75)},
		wpn_fps_ass_s552        = {translation = Vector3(0.045, 0, 2.27)},
		wpn_fps_ass_g3          = {translation = Vector3(0.0, 6, -1.72)  + rpk_offset, rotation = rpk_rotation},
		wpn_fps_ass_galil       = {translation = Vector3(0, 0, -1.5)     + rpk_offset, rotation = rpk_rotation},
		wpn_fps_ass_fal         = {translation = Vector3(0, 0, 2.625)},
		wpn_fps_snp_tti         = {translation = Vector3(0, 0, 0.65)},
		wpn_fps_ass_flint       = {translation = Vector3(0, 2, -1.88)    + rpk_offset, rotation = rpk_rotation},
		wpn_fps_smg_mac10       = {translation = Vector3(0, 0, -1.65)},
		wpn_fps_sho_basset      = {translation = Vector3(0.01, 0, 2.1)},
		wpn_fps_ass_vhs      	= {translation = Vector3(0, 0, 1.38)},
		wpn_fps_ass_famas      	= {translation = Vector3(0, 0, 2.25)},
		wpn_fps_smg_shepheard   = {translation = Vector3(0, 0, -3.29)},
	-- VG removed
		wpn_fps_ass_l85a2       = {translation = Vector3(0, 0, -1.38)},
		wpn_fps_ass_aug         = {translation = Vector3(-0.03, 0, 4.36)},
		wpn_fps_sho_rota        = {translation = Vector3(0, 0, 1.05)},
		wpn_fps_smg_schakal     = {translation = Vector3(-0.01, 0, 0.45)},
		wpn_fps_smg_hajk        = {translation = Vector3(-0.01, 0, -2.65)},
		wpn_fps_ass_tecci       = {translation = Vector3(0.0, -3, -1.15)}		
}
local vg_added = {
"wpn_fps_ass_amcar",
"wpn_fps_ass_74",
"wpn_fps_ass_ak5",
"wpn_fps_ass_akm",
"wpn_fps_ass_akm_gold",
"wpn_fps_ass_fal",
"wpn_fps_ass_flint",
"wpn_fps_ass_g3",
"wpn_fps_ass_g36",
"wpn_fps_ass_galil",
"wpn_fps_ass_m16",
"wpn_fps_ass_m4",
"wpn_fps_ass_s552",
"wpn_fps_ass_scar",
"wpn_fps_ass_komodo",
"wpn_fps_ass_vhs",
"wpn_fps_ass_famas",
"wpn_fps_sho_basset",
"wpn_fps_shot_saiga",
"wpn_fps_smg_akmsu",
"wpn_fps_smg_mac10",
"wpn_fps_smg_mp5",
"wpn_fps_smg_olympic",
"wpn_fps_smg_shepheard",
"wpn_fps_snp_tti"
}
local vg_adjust = {
"wpn_fps_smg_schakal_vg_surefire",
"wpn_fps_upg_vg_verticalgrip",
"wpn_fps_upg_vg_stubby",
"wpn_fps_upg_vg_moe",
"wpn_fps_upg_vg_tecci",
"wpn_fps_upg_vg_foldable",
"wpn_fps_upg_vg_grippod",
"wpn_fps_lmg_rpk_fg_combo1",
"wpn_fps_lmg_rpk_fg_combo4"
}
for i, weapon_id in ipairs(vg_added) do
	for j, part_id in ipairs(vg_adjust) do	
		if not self[weapon_id].adds[part_id] then self[weapon_id].adds[part_id] = {} end
		table.insert(self[weapon_id].adds[part_id], "wpn_fps_upg_vg_adjust")
	end
end
local vg_removed = {
"wpn_fps_ass_aug",
"wpn_fps_ass_l85a2",
"wpn_fps_smg_schakal",
"wpn_fps_smg_hajk",
"wpn_fps_sho_rota",
"wpn_fps_ass_tecci"
}
for i, weapon_id in ipairs(vg_removed) do
	self[weapon_id].adds.wpn_fps_upg_vg_none = {"wpn_fps_upg_vg_adjust"}
	self[weapon_id].adds.wpn_fps_upg_vg_cobra = {"wpn_fps_upg_vg_adjust"}
	self[weapon_id].adds.wpn_fps_upg_vg_afg = {"wpn_fps_upg_vg_adjust"}
end
end)