Hooks:PostHook(WeaponTweakData, "init", "EACInit", function(self)
-- Brenner --
self.hk21.CAN_TOGGLE_FIREMODE = true
-- KSP -- 
self.m249.CAN_TOGGLE_FIREMODE = true
-- RPK -- 
self.rpk.CAN_TOGGLE_FIREMODE = true
-- Buzzsaw --
self.mg42.CAN_TOGGLE_FIREMODE = true
self.mg42.sounds.fire_single = "mg42_fire"
self.mg42.sounds.fire_auto = "mg42_fire"
-- KSP58 -- 
self.par.CAN_TOGGLE_FIREMODE = true
self.par.sounds.fire_single = "svinet_fire"
self.par.sounds.fire_auto = "svinet_fire"

local CAP = {
"ak5",
"ak74",
"akm",
"akm_gold",
"akmsu",
"amcar",
"basset",
"coal",
"desertfox",
"fal",
"famas",
"flint",
"g22c",
"g26",
"g3",
"g36",
"galil",
"glock_17",
"glock_18c",
"jowi",
"komodo",
"l85a2",
"m16",
"new_m4",
"mac10",
"new_mp5",
"olympic",
"polymer",
"rpk",
"saiga",
"shepheard",
"sr2",
"s552",
"vhs",
"x_akmsu",
"x_amcar",
"x_basset",
"x_coal",
"x_g17",
"x_g18c",
"x_g22c",
"x_g36",
"x_mac10",
"x_mp5",
"x_olympic",
"x_polymer",
"x_shepheard",
"x_sr2",
"x_s552"
}
for i, weapon_id in ipairs(CAP) do
	if not self[weapon_id] then self[weapon_id] = {} end
	if not self[weapon_id].attachment_points then self[weapon_id].attachment_points = {} end
end
table.list_append(self.amcar.attachment_points, {{
			name = "a_b_sd", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 6, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 12, -2.8 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 5, -2.8 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.x_amcar.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 5, -2.8 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.olympic.attachment_points, {{
			name = "a_b_sd", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 12, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.x_olympic.attachment_points, {{
			name = "a_b_sd", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 12, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.glock_18c.attachment_points, {{
			name = "a_b_eac", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -11, 1.53 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_g18c.attachment_points, {{
			name = "a_b_eac", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -11, 1.53 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.glock_17.attachment_points, {{
			name = "a_b_eac", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -11, 1.55 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_g17.attachment_points, {{
			name = "a_b_eac", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -11, 1.55 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.glock_17.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -4, -6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_g17.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -4, -6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.g22c.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -4, -6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_g22c.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -4, -6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.g26.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -3.1, -3.5 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.jowi.attachment_points, {{
			name = "a_s", 
			base_a_obj = "a_body", 
			position = Vector3( 0, -3.1, -3.5 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.fal.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 10, -2 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 3, -2 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.g3.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -19, -2.2 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -26, -2.2 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.galil.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 12.5, -2.3 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 5.5, -2.3 ), 
			rotation = Rotation( 180, 0, 90 ) 
		},
		{
			name = "a_g_ak", 
			base_a_obj = "a_g", 
			position = Vector3( 0, -2, -2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.l85a2.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -0.89, -4.68 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.flint.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 12.5, -2.1 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_s", 
			base_a_obj = "a_s", 
			position = Vector3( 0, 0.75, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 3 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.ak74.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.akm.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.akm_gold.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.akmsu.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 0, -0.15 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, -0.15 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.x_akmsu.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 0, -0.15 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, -0.15 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.coal.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_coal.attachment_points, {{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.m16.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 5, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -2, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.ak5.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 5, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, -2, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.basset.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 22, -0.75 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.x_basset.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 22, -0.75 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.rpk.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 0, 0.6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0.6 ), 
			rotation = Rotation( 180, 0, 90 ) 
		},
		{
			name = "a_fl_eac", 
			base_a_obj = "a_fl", 
			position = Vector3( 3.35, -33, -0.9 ), 
			rotation = Rotation( 0, 0, -210 ) 
		},
		{
			name = "a_o", 
			base_a_obj = "a_o", 
			position = Vector3( 0, -0.8, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_o_krebs", 
			base_a_obj = "a_o", 
			position = Vector3( 0, -0.8, 0.7 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_o_sm", 
			base_a_obj = "a_o", 
			position = Vector3( 0, -27, 1.6 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_g_galil", 
			base_a_obj = "a_g", 
			position = Vector3( 0, 2, 2.9 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.komodo.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 15, -9.4 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.desertfox.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_o", 
			position = Vector3( 0, 8.5, -5 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.mac10.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = RotationCAP( 180, 0, 90 ) 
		}})
table.list_append(self.x_mac10.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = RotationCAP( 180, 0, 90 ) 
		}})
table.list_append(self.vhs.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_body", 
			position = Vector3( 0, 20, 2.2 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})
table.list_append(self.shepheard.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 11, -2.98 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 5, -2.98 ), 
			rotation = RotationCAP( 180, 0, 90 ) 
		}})
table.list_append(self.x_shepheard.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 11, -2.98 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_b", 
			position = Vector3( 0, 5, -2.98 ), 
			rotation = RotationCAP( 180, 0, 90 ) 
		}})
table.list_append(self.polymer.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 2.65, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})	
table.list_append(self.x_polymer.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_fg", 
			position = Vector3( 0, 2.65, 0 ), 
			rotation = Rotation( 0, 0, 0 ) 
		}})		
table.list_append(self.new_mp5.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})			
table.list_append(self.x_mp5.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})		
table.list_append(self.sr2.attachment_points, {{
			name = "a_vg_2", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 2.8, -1 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -4.2, -1 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})		
table.list_append(self.x_sr2.attachment_points, {{
			name = "a_vg_2", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, 2.8, -1 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -4.2, -1 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})
table.list_append(self.famas.attachment_points, {{
			name = "a_vg", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -6, -3.7 ), 
			rotation = Rotation( 0, 0, 0 ) 
		},
		{
			name = "a_vg_rail", 
			base_a_obj = "a_b", 
			position = Vector3( 0, -13, -3.7 ), 
			rotation = RotationCAP( 180, 0, 90 ) 
		}})			
table.list_append(self.x_s552.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})				
table.list_append(self.s552.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})				
table.list_append(self.x_g36.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})				
table.list_append(self.g36.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})					
table.list_append(self.new_m4.attachment_points, {{
			name = "a_vg_rail", 
			base_a_obj = "a_vg", 
			position = Vector3( 0, -7, 0 ), 
			rotation = Rotation( 180, 0, 90 ) 
		}})	
end )